| Face Engine SDK 5.34.0 A face detection, recognition and tracking engine.

Public Types | Public Member Functions | List of all members
fsdk::IHumanFaceDetector Struct Referenceabstract
Human and Face detectors

Human and face detector interface. More...

`#include <IHumanFaceDetector.h>`

Inheritance diagram for fsdk::IHumanFaceDetector:

## Public Types
using | HumanFaceBatchFuture = vlc::future< IHumanFaceBatchPtr >
| Common aliases for IDetector asynchronous interface.

## Public Member Functions
virtual ResultValue< FSDKError, IHumanFaceBatchPtr > | detect (Span< const Image > images, Span< const Rect > rects, HumanFaceDetectionType type=HumanFaceDetectionType::HFDT_ALL) const noexcept=0
| Batched detect of faces and human bodies. More...
virtual Result< FSDKError > | validate (Span< const Image > images, Span< const Rect > rects, Span< Result< FSDKError >> errors) const noexcept=0
| Validate input of multiple frames in a single function call. More...
virtual HumanFaceBatchFuture | detectAsync (Span< const Image > images, Span< const Rect > rectangles, HumanFaceDetectionType type=HumanFaceDetectionType::HFDT_ALL) const =0
| Asynchronously detect of faces and human bodies. More...
Public Member Functions inherited from fsdk::IRefCounted
virtual int32_t | retain () noexcept=0
| Increase strong reference count. More...
virtual int32_t | retainLocked () noexcept=0
| Increase strong reference count thread safely. More...
virtual int32_t | release () noexcept=0
| Decrease strong reference count. More...
virtual int32_t | getRefCount () const noexcept=0
| Get actual strong reference count. More...
virtual int32_t | retainWeak () noexcept=0
| Increase weak reference count. More...
virtual int32_t | releaseWeak () noexcept=0
| Decrease weak reference count. More...
virtual int32_t | getWeakRefCount () const noexcept=0
| Get actual weak reference count. More...

## Detailed Description

Human and face detector interface.

## Member Function Documentation

## ◆ detect()

virtual ResultValue<FSDKError, IHumanFaceBatchPtr> fsdk::IHumanFaceDetector::detect | ( | Span< const Image > | images,
|  | Span< const Rect > | rects,
|  | HumanFaceDetectionType | type = `HumanFaceDetectionType::HFDT_ALL`
| ) |  | const
| pure virtual noexcept

Batched detect of faces and human bodies.

Parameters

  [in] | images | span of source images.
  [in] | rects | span of input rectangles of interest.
  [in] | type | type of the detection.

Returns
  ResultValue with error code and IHumanFaceBatch object.

See also
  Ref, Span, Image, Rect, IHumanFaceBatch, ResultValue and FSDKError for details.

Note
  images format must be R8G8B8,

See also
  Format.

Note
  all spans should be based on user owned continuous collections.
  all spans should be equal size.

## ◆ detectAsync()

virtual HumanFaceBatchFuture fsdk::IHumanFaceDetector::detectAsync | ( | Span< const Image > | images,
|  | Span< const Rect > | rectangles,
|  | HumanFaceDetectionType | type = `HumanFaceDetectionType::HFDT_ALL`
| ) |  | const
| pure virtual

Asynchronously detect of faces and human bodies.

Parameters

  [in] | images | span of source images.
  [in] | rectangles | input rectangles of interest (ROI) span.
  [in] | type | type of the detection.

Returns
  Future with IHumanFaceBatch object.

See also
  Ref, Span, Image, Rect, DetectionType, IHumanFaceBatch and vlc::future for details.

Note
  images format must be R8G8B8,

See also
  Format.

Note
  all spans should be based on user owned continuous collections.
  all spans should be equal size.
  this method is experimental and interface may be changed in the future.
  this method is not marked as noexcept and may throw an exception.

## ◆ validate()

virtual Result<FSDKError> fsdk::IHumanFaceDetector::validate | ( | Span< const Image > | images,
|  | Span< const Rect > | rects,
|  | Span< Result< FSDKError >> | errors
| ) |  | const
| pure virtual noexcept

Validate input of multiple frames in a single function call.

Parameters

  [in] | images | span of source images.
  [in] | rects | span of rectangle coordinates of corresponding source images.
  [out] | errors | output span of errors for each image.

Returns
  Result with error code.

See also
  Span, Image, Rect, Result and FSDKError for details.

Note
  images format must be R8G8B8,

See also
  Format.

Note
  all spans should be based on user owned continuous collections.
  all spans should be equal size.

The documentation for this struct was generated from the following file:

- include/fsdk/IHumanFaceDetector.h